Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] File collision (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Sat May 17, 2008 3:33 pm    Post subject: [emerge] File collision (résolu) Reply with quote

Bonjour,

La réinstallation des drivers NVIDIA s'arrête sur l'erreur suivante :
Code:
* Messages for package x11-drivers/nvidia-drivers-169.09-r1:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * package x11-drivers/nvidia-drivers-169.09-r1 NOT merged
 *
 * Detected file collision(s):
 *
 *    /lib/modules/2.6.24-gentoo-r3/video/nvidia.ko
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * None of the installed packages claim the file(s).

Que faut-il faire dans ce cas ? Supprimer le fichier qui pose problème ?
_________________
emerge --info
dmesg
lspci
.config


Last edited by Neuromancien on Sun May 18, 2008 1:38 am; edited 1 time in total
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Sat May 17, 2008 3:55 pm    Post subject: Reply with quote

Tes anciens drivers ont probablement été installés à la main.
Ils n'appartiennent donc à aucun package de portage, d'où le message.
Tu peux écraser le fichier mais je te suggérerais tout de même de désinstaller proprement l'ancien package "manuel" pour ne pas risquer de garder des fichiers orphelins ...
Back to top
View user's profile Send private message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Sat May 17, 2008 5:48 pm    Post subject: Reply with quote

ghoti wrote:
Tes anciens drivers ont probablement été installés à la main.
Ils n'appartiennent donc à aucun package de portage, d'où le message.
Tu peux écraser le fichier mais je te suggérerais tout de même de désinstaller proprement l'ancien package "manuel" pour ne pas risquer de garder des fichiers orphelins ...

Je n'ai jamais installé de driver à la main. L'ancien a été installé et supprimé avec emerge...
_________________
emerge --info
dmesg
lspci
.config
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Sat May 17, 2008 6:27 pm    Post subject: Reply with quote

Neuromancien wrote:
ghoti wrote:
Tes anciens drivers ont probablement été installés à la main.
Ils n'appartiennent donc à aucun package de portage, d'où le message.
Tu peux écraser le fichier mais je te suggérerais tout de même de désinstaller proprement l'ancien package "manuel" pour ne pas risquer de garder des fichiers orphelins ...

Je n'ai jamais installé de driver à la main. L'ancien a été installé et supprimé avec emerge...

C'est donc normal s'il a été désinstallé et non pas upgradé direct :
les modules sont en CONFIG_PROTECT, donc quand tu unmerge le package, nvidia.ko n'a pas été supprimé. Mais comme le package n'est plus installé => le fichier devient orphelin.
A la réinstall, il détecte alors le fichier comme orphelin, bam, collision. Tu peux donc le supprimer sans crainte.

Dans le cas de la MAJ directe, ça ne pose pas de problème : la version antérieure possède le fichier, et est détectée par emerge => il gère ça comme une upgrade => pas de collision ;)
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
Neuromancien
l33t
l33t


Joined: 03 Dec 2003
Posts: 867

PostPosted: Sun May 18, 2008 1:37 am    Post subject: Reply with quote

guilc wrote:
Dans le cas de la MAJ directe, ça ne pose pas de problème : la version antérieure possède le fichier, et est détectée par emerge => il gère ça comme une upgrade => pas de collision ;)

Merci.
_________________
emerge --info
dmesg
lspci
.config
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum